[Launch]
ProgramExecutable=VueScan\vuescan32.exe
ProgramExecutable64=VueScan\vuescan64.exe
SinglePortableAppInstance=true
RunAsAdmin=compile-force
DirectoryMoveOK=yes

[Activate]    
Registry=true

[RegistryKeys]
path=HKCU\SOFTWARE\VueScan\path
-=HKCU\SOFTWARE\VueScan\license

[RegistryCleanupIfEmpty]
1=HKCU\SOFTWARE\VueScan

[FilesMove]
twain_32\vuescan.ds=%WINDIR%\twain_32
twain_32\wiatwain.ds=%WINDIR%\twain_32
twain_64\vuescan.ds=%WINDIR%\twain_64

[DirectoriesCleanupIfEmpty]
1=%WINDIR%\twain_32
2=%WINDIR%\twain_64

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\path.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\path.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\path.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\











